Subject: Re: [RFC] How to accellerate the patch flow (or should we?)

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Sep 2025 15:12:52 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

>> The time taken during 7. is pretty much fixed and unless we are
>> willing to sacrifice the quality of the end result, cannot
>> reasonably be shortened (note that this is based on the assumption
>> that "find any remaining bugs while it is in 'next' before it hits
>> 'master'" philosophy is working, but we have never run experiments
>> to shorten this to say 3 days to see if we see more bugs on 'master'
>> yet).
>
> Maybe pure documentation changes could cook for less than seven days.

Yup, that kind of adjustment at the maintainer's discretion has
already been applied, depending on the nature of a topic.  Some
truly trivial typofixes may not even go through 'next' but get
applied to 'master' directly.

Thanks.